# Interface methods for submodule: HardConnectedComponentImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: HardConnectedComponentImageFilter
class HardConnectedComponentImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetObjectSeed(self, seed: Sequence[int]) -> None:
		""""""
		...

